AC_INIT(ping6.c)
AC_PREFIX_DEFAULT(/usr/local/v6)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL

AC_CHECK_HEADERS(getopt.h)
AC_CHECK_HEADERS(netinet/ip6.h netinet/icmp6.h)

AC_CHECK_FUNCS(getopt_long)

AC_DEFINE(HAVE_CMSG_NXTHDR)
AC_DEFINE(HAVE_INET6_RTHDR_INIT)
AC_DEFINE(HAVE_STRUCT_ICMP6_NODEINFO)

CFLAGS="-I../libinet6/include $CFLAGS"
LIBS="-L../libinet6 -linet6 $LIBS"

AC_OUTPUT(Makefile)
